Issue creating SDK with SDK Installer 3.3 on Windows 10

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

Issue creating SDK with SDK Installer 3.3 on Windows 10

Jason Moore
Hi guys,

Thanks for sorting out the installer , but we are having issues with the 3.3 Installer on Windows 10 , flex 4.16.0 and Air 27...

I'm getting...

Installer version 3.3.0 (windows)
Using Locale: en_GB
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.16.0
AIR version 27.0
Flash Player version 27.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from: http://apache.mirrors.nublue.co.uk/flex/4.16.0/binaries/apache-flex-sdk-4.16.0-bin.zip
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files matches the reference. The file is valid.
Unzipping: D:\sdk\temp\apache-flex-sdk-4.16.0-bin.zip
Finished unzipping: D:\sdk\temp\apache-flex-sdk-4.16.0-bin.zip
Downloading Adobe AIR Runtime Kit for Windows from: http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
Validating download: D:\sdk/in/AdobeAIRSDK.zip
Finished unzipping: D:\sdk/in/AdobeAIRSDK.zip
Should unzip: ${shouldUnzip}
Mounting dmg
Exec task failed: /usr/bin/hdiutil
Aborting Installation: http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex SDK 4.16.0&version=4.16.0&os=windows&installerversion=3.3.0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil

.. tried it on a couple of machines without success.. What have I missed ?
( PS.  Isn't /usr/bin/hdiutil a bit of a strange path for a Windows machine ? )
Many Thanks,

Jason :)
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

piotrz
Hi Jason,

Unfortunately it's probably won't work anymore at least on Windows 10.
During work on that fix I have found issue related to installer in Flex
SDK. I have fixed it and I'm in a process of releasing 4.16.1 SDK. [1]

You can try to Release Candidate 4.16.1 by right clicking on drop down list
in the installer and choose "Show Dev Builds" you will see on the list
"Apache Flex SDK 4.16.1 RC2"

Let me know if it's work for you.

[1]
http://apache-flex-development.2333347.n4.nabble.com/VOTE-Release-Apache-Flex-SDK-4-16-1-RC2-td64935.html

Thanks, Piotr


2017-11-20 12:41 GMT+01:00 Jason Moore <[hidden email]>:

> Hi guys,
>
> Thanks for sorting out the installer , but we are having issues with the
> 3.3 Installer on Windows 10 , flex 4.16.0 and Air 27...
>
> I'm getting...
>
> Installer version 3.3.0 (windows)
> Using Locale: en_GB
> Fetched the SDK download mirror URL from the CGI.
> SDK version Apache Flex SDK 4.16.0
> AIR version 27.0
> Flash Player version 27.0
> Creating Apache Flex home
> Creating temporary directory
> Downloading Apache Flex SDK from: http://apache.mirrors.nublue.
> co.uk/flex/4.16.0/binaries/apache-flex-sdk-4.16.0-bin.zip
> Verifying Apache Flex SDK MD5 Signature
> The Apache Flex SDK MD5 Signature of the downloaded files matches the
> reference. The file is valid.
> Unzipping: D:\sdk\temp\apache-flex-sdk-4.16.0-bin.zip
> Finished unzipping: D:\sdk\temp\apache-flex-sdk-4.16.0-bin.zip
> Downloading Adobe AIR Runtime Kit for Windows from:
> http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
> Validating download: D:\sdk/in/AdobeAIRSDK.zip
> Finished unzipping: D:\sdk/in/AdobeAIRSDK.zip
> Should unzip: ${shouldUnzip}
> Mounting dmg
> Exec task failed: /usr/bin/hdiutil
> Aborting Installation: http://flex.apache.org/track-
> installer.html?failure=true&label=Apache Flex SDK
> 4.16.0&version=4.16.0&os=windows&installerversion=3.3.
> 0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil
>
> .. tried it on a couple of machines without success.. What have I missed ?
> ( PS.  Isn't /usr/bin/hdiutil a bit of a strange path for a Windows
> machine ? )
> Many Thanks,
>
> Jason :)
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

Jason Moore
piotrz wrote
> You can try to Release Candidate 4.16.1 by right clicking on drop down
> list
> in the installer and choose "Show Dev Builds" you will see on the list
> "Apache Flex SDK 4.16.1 RC2"

Did the trick ! .. Installed without issue.
Thanks,
Jason :)




--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

piotrz
Jason,

I wish you wouldn't have to do that trick! :) Glad that worked!
Another confirmation that fix is working :)

Thanks, Piotr


2017-11-20 13:35 GMT+01:00 Jason Moore <[hidden email]>:

> piotrz wrote
> > You can try to Release Candidate 4.16.1 by right clicking on drop down
> > list
> > in the installer and choose "Show Dev Builds" you will see on the list
> > "Apache Flex SDK 4.16.1 RC2"
>
> Did the trick ! .. Installed without issue.
> Thanks,
> Jason :)
>
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

chris_flex
In reply to this post by Jason Moore
Hi,

I have tried to install it on 2 Windows Machines and it failed:

/Sorry, an error has occurred
The application can not be installed because there were problems with the
certificate. The certificate does not match the installed application
certificate, does not support application updates, or is invalid. Contact
the application author./
(as my machine is in german I copied the message to google translater)

Any idea how to solve this?



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

piotrz
Hi Chris,

Do you have installed 3.2 version? If yes uninstall it and install 3.3.

Piotr

On Tue, Nov 21, 2017, 12:29 chris_flex <[hidden email]> wrote:

> Hi,
>
> I have tried to install it on 2 Windows Machines and it failed:
>
> /Sorry, an error has occurred
> The application can not be installed because there were problems with the
> certificate. The certificate does not match the installed application
> certificate, does not support application updates, or is invalid. Contact
> the application author./
> (as my machine is in german I copied the message to google translater)
>
> Any idea how to solve this?
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

chris_flex
Okay - thanks - worked...



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

CoruNethron
In reply to this post by piotrz
Win 7 x64, same two issues.
First - certificate issue, solved by uninstalling previous version. It might
be good to inform user, that previously installed versions must be
uninstalled manually.
Second - "Exec task failed: /usr/bin/hdiutil", solved by installing 4.16.1
RC2 - e.g. Right-click drop-down menu - Show Dev Builds - select 4.16.1 RC2
Thank you.



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

piotrz
Hi,

Wonderfull ! I will add that information to the announce! :)

Piotr

On Wed, Nov 22, 2017, 00:10 CoruNethron <[hidden email]> wrote:

> Win 7 x64, same two issues.
> First - certificate issue, solved by uninstalling previous version. It
> might
> be good to inform user, that previously installed versions must be
> uninstalled manually.
> Second - "Exec task failed: /usr/bin/hdiutil", solved by installing 4.16.1
> RC2 - e.g. Right-click drop-down menu - Show Dev Builds - select 4.16.1 RC2
> Thank you.
>
>
>
> --
> Sent from: http://apache-flex-users.2333346.n4.nabble.com/
>
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

OmPrakash Muppirala
On Tue, Nov 21, 2017 at 9:26 PM, Piotr Zarzycki <[hidden email]>
wrote:

> Hi,
>
> Wonderfull ! I will add that information to the announce! :)
>
> Piotr
>
> On Wed, Nov 22, 2017, 00:10 CoruNethron <[hidden email]> wrote:
>
> > Win 7 x64, same two issues.
> > First - certificate issue, solved by uninstalling previous version. It
> > might
> > be good to inform user, that previously installed versions must be
> > uninstalled manually.
>

I don't think everyone needs to uninstall previously installed versions.
Only those who installed an Release Candidate needs to uninstall first.
For others, the upgrade would be seamless.

Thanks,
Om


> > Second - "Exec task failed: /usr/bin/hdiutil", solved by installing
> 4.16.1
> > RC2 - e.g. Right-click drop-down menu - Show Dev Builds - select 4.16.1
> RC2
> > Thank you.
> >
> >
> >
> > --
> > Sent from: http://apache-flex-users.2333346.n4.nabble.com/
> >
>
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

piotrz
Om,

It have never worked for me doing like you said. I had always uninstall
previous version either it was 3.2 or RC.

Chris,

Did you have previously installed version 3.2 or Release Candidate of 3.3 ?

Thanks, Piotr

2017-11-22 7:18 GMT+01:00 OmPrakash Muppirala <[hidden email]>:

> On Tue, Nov 21, 2017 at 9:26 PM, Piotr Zarzycki <[hidden email]
> >
> wrote:
>
> > Hi,
> >
> > Wonderfull ! I will add that information to the announce! :)
> >
> > Piotr
> >
> > On Wed, Nov 22, 2017, 00:10 CoruNethron <[hidden email]> wrote:
> >
> > > Win 7 x64, same two issues.
> > > First - certificate issue, solved by uninstalling previous version. It
> > > might
> > > be good to inform user, that previously installed versions must be
> > > uninstalled manually.
> >
>
> I don't think everyone needs to uninstall previously installed versions.
> Only those who installed an Release Candidate needs to uninstall first.
> For others, the upgrade would be seamless.
>
> Thanks,
> Om
>
>
> > > Second - "Exec task failed: /usr/bin/hdiutil", solved by installing
> > 4.16.1
> > > RC2 - e.g. Right-click drop-down menu - Show Dev Builds - select 4.16.1
> > RC2
> > > Thank you.
> > >
> > >
> > >
> > > --
> > > Sent from: http://apache-flex-users.2333346.n4.nabble.com/
> > >
> >
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

jmclean
Administrator
Hi,

I assume this is a windows only issue? I can’t recall ever having to uninstall the installer on OSX - certainly didn’t for 3.3.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: Issue creating SDK with SDK Installer 3.3 on Windows 10

Maxim Solodovnik
Yes, it is Windows only

On Wed, Nov 22, 2017 at 1:35 PM, Justin Mclean <[hidden email]>
wrote:

> Hi,
>
> I assume this is a windows only issue? I can’t recall ever having to
> uninstall the installer on OSX - certainly didn’t for 3.3.
>
> Thanks,
> Justin




--
WBR
Maxim aka solomax